POST api/NTPrescreeningDiversion/CreatePSDTextMessage
Request Information
URI Parameters
None.
Body Parameters
PSDTextMessageDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| TextBody | string |
String length: inclusive between 0 and 2147483647 |
|
| TextNotificationType | string |
String length: inclusive between 0 and 250 |
|
| TextNotificationTypeId | integer |
None. |
|
| CreatedUserName | string |
String length: inclusive between 0 and 60 |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| WLCode | string |
String length: inclusive between 0 and 20 |
|
| TextList | Collection of NotifyTextDetailDTO |
None. |
|
| EmployeeId | string |
String length: inclusive between 0 and 12 |
|
| ClinicalPathwayId | integer |
None. |
|
| PrescreeningDiversionId | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"TextBody": "sample string 2",
"TextNotificationType": "sample string 3",
"TextNotificationTypeId": 4,
"CreatedUserName": "sample string 5",
"CorporationCode": "sample string 6",
"WLCode": "sample string 7",
"TextList": [
{
"Id": 1,
"FirstName": "sample string 2",
"LastName": "sample string 3",
"Text": "sample string 4",
"FullName": "sample string 2 sample string 3 sample string 4",
"TextSourceType": 1,
"Status": 1,
"ClinicalPathwayTypeId": 5,
"ClinicalPathwayTypeName": "sample string 6",
"ValidFlag": true,
"DateCreated": "2026-08-04T02:09:14.0865543-07:00",
"DateUpdated": "2026-08-04T02:09:14.0865543-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
},
{
"Id": 1,
"FirstName": "sample string 2",
"LastName": "sample string 3",
"Text": "sample string 4",
"FullName": "sample string 2 sample string 3 sample string 4",
"TextSourceType": 1,
"Status": 1,
"ClinicalPathwayTypeId": 5,
"ClinicalPathwayTypeName": "sample string 6",
"ValidFlag": true,
"DateCreated": "2026-08-04T02:09:14.0865543-07:00",
"DateUpdated": "2026-08-04T02:09:14.0865543-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
}
],
"EmployeeId": "sample string 8",
"ClinicalPathwayId": 1,
"PrescreeningDiversionId": 9,
"ValidFlag": true,
"DateCreated": "2026-08-04T02:09:14.0865543-07:00",
"DateUpdated": "2026-08-04T02:09:14.0865543-07:00",
"UserIDCreated": 13,
"UserIDUpdated": 14,
"CompanyCode": "sample string 15",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfPSDTextMessageDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | PSDTextMessageDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"TextBody": "sample string 2",
"TextNotificationType": "sample string 3",
"TextNotificationTypeId": 4,
"CreatedUserName": "sample string 5",
"CorporationCode": "sample string 6",
"WLCode": "sample string 7",
"TextList": [
{
"Id": 1,
"FirstName": "sample string 2",
"LastName": "sample string 3",
"Text": "sample string 4",
"FullName": "sample string 2 sample string 3 sample string 4",
"TextSourceType": 1,
"Status": 1,
"ClinicalPathwayTypeId": 5,
"ClinicalPathwayTypeName": "sample string 6",
"ValidFlag": true,
"DateCreated": "2026-08-04T02:09:14.1177829-07:00",
"DateUpdated": "2026-08-04T02:09:14.1177829-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
},
{
"Id": 1,
"FirstName": "sample string 2",
"LastName": "sample string 3",
"Text": "sample string 4",
"FullName": "sample string 2 sample string 3 sample string 4",
"TextSourceType": 1,
"Status": 1,
"ClinicalPathwayTypeId": 5,
"ClinicalPathwayTypeName": "sample string 6",
"ValidFlag": true,
"DateCreated": "2026-08-04T02:09:14.1177829-07:00",
"DateUpdated": "2026-08-04T02:09:14.1177829-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
}
],
"EmployeeId": "sample string 8",
"ClinicalPathwayId": 1,
"PrescreeningDiversionId": 9,
"ValidFlag": true,
"DateCreated": "2026-08-04T02:09:14.1177829-07:00",
"DateUpdated": "2026-08-04T02:09:14.1177829-07:00",
"UserIDCreated": 13,
"UserIDUpdated": 14,
"CompanyCode": "sample string 15",
"IsExcludeDiscount": true
},
"totalCount": 3
}